@import "~sass/media";
@import '~sass/variables';
.product-tile {
  width: 100%;
  margin-bottom: 20px;
}
.deals-tile .card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
    cursor: pointer;
    @include for-size(mobile-lanscape) {
      margin-bottom:10px;
    }
    @include for-size(phone-only){
      border: 0px !important;
    }
}

.deals-tile .card:hover {
    box-shadow: 1px 1px 15px 3px #dcdcdc;
}

.deals-tile .card-img-top {
    margin: 0 auto;
    text-align: center;
    // width: 215px;
    // height: 215px;
    @include for-size(tablet-landscape-up){
      width: 100%;
      height: auto;
    }
    @include for-size(tablet-portrait-up){
      width: 100%;
      height: auto;
    }
    @include for-size(l1280-1365){
      width: 100%;
      height: auto;
    }
    @include for-size(l1025-1279){
      width: 100%;
      height: auto;
    }
    @include for-size(l1025-1279){
      width: 100%;
      height: auto;
    }
    @media (min-width: 400px) and (max-width: 600px) {
        width: 185px !important;
        height: 185px !important;
    }
    @media (min-width: 320px) and (max-width: 400px) {
        width: 155px !important;
        height: 155px !important;
    }
}

.deals-tile .card-img {
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  margin: auto;
  //max-width: 200px;
  padding: 1vh;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px;
  // width: 100%;
  max-height: 100%;
}
.card-img {
    width: 100%;
    border-radius: calc(.25rem - 1px);
  //   @media (min-width: 320px) and (max-width: 767px) {
  //     width: auto;
  // }
}
.deals-tile .list-group-item {
    position: relative;
    display: block;
    padding: 0.05rem .5rem;
    background-color: #fff;
    border: none;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 14px;
    width: 185px;
    @include for-size(phone-only) {
      width: 100%;
    }
    @include for-size(mobile-lanscape){
      width: 123px;
    }
    @include for-size(tablet-portrait-up){
          width: 112px;
    }
    @include for-size(tablet-landscape-up){
      width: 160px;
    }
}

.deals-tile .tile-offer {
    background-color: #34a203;
    color: #fff;
    padding: .2em 0.4em;
    width: 11vh;font-size: .75rem;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: 0 0 0.5em 0;
    z-index: 1;
    position: absolute;
}

.deals-tile .tile-price {

    font-weight: 500;
    color: #fd5b1b;
    opacity: 0.8;
    font-size: 14px;
}

.deals-tile .tile-price:hover,
.card-hover-price {
    opacity: 1 !important;
    color: #fd5b1b !important;
}

.deals-tile .tile-offerprice {
  font-size: 12px;
  text-decoration: line-through;
  color: #a5a5a5;
  padding-left: 5px;
}

.deals-tile.tile-pro-bought {
    font-size: 0.8rem;
}

.deals-tile .ribbon-green {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 70px 70px 0 0;
    border-color: #00ad23 transparent transparent transparent;
    position: absolute;
    @include for-size(tablet-portrait-up) {
      border-width: 50px 50px 0 0;
    }
    @include for-size(tablet-landscape-up) {
      border-width: 50px 50px 0 0;
    }
    @include for-size(l1025-1279) {
      border-width: 50px 50px 0 0;
    }
}

.deals-tile .ribbon-orange {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 70px 70px 0 0;
    border-color: #fd5b1b transparent transparent transparent;
    position: absolute;
    z-index: 1;
    @include for-size(tablet-portrait-up) {
      border-width: 50px 50px 0 0;
    }
    @include for-size(tablet-landscape-up) {
      border-width: 50px 50px 0 0;
    }
    @include for-size(l1025-1279) {
      border-width: 50px 50px 0 0;
    }
}

.deals-tile .ribbon-txt {
    position: absolute;
    margin-top: -65px;
    font-size: 12px;
    padding-left: 3px;
    color: #fff;
    font-weight: 500;
    width: 50px;
    @include for-size(phone-only) {
      width: 100%;
    }
    @include for-size(tablet-portrait-up) {
      margin-top: -47px;
      font-size: 10px;
    }
    @include for-size(tablet-landscape-up) {
      margin-top: -47px;
      font-size: 10px;
    }
    @include for-size(l1025-1279) {
      margin-top: -47px;
      font-size: 10px;
    }
}

// .deals-tile .ribbon-green {
//     width: 0;
//     height: 0;
//     border-style: solid;
//     border-width: 5vh 5vh 0 0;
//     border-color: #00ad23 transparent transparent transparent;
//     position: absolute;
// }

// .deals-tile .ribbon-orange {
//     width: 0;
//     height: 0;
//     border-style: solid;
//     border-width: 5vh 5vh 0 0;
//     border-color: #fd5b1b transparent transparent transparent;
//     position: absolute;
//     z-index: 1;
// }

// .deals-tile .ribbon-txt {
//     position: absolute;
//     margin-top: -47px;
//     font-size: 12px;
//     padding-left: 3px;
//     color: #fff;
//     font-weight: 500;
// }

.deals-tile .tile-icons {
  padding: 0 0.25vw;
}

.deals-tile .tile-icons:hover {
  color: $primary-color;
}

.tile-icons-active {
     color: $primary-color;
}

.deals-tile .tile-row {
  margin: auto;
  justify-content: center;
//   border-top: 1px solid #dcdcdc;
  line-height: 3.5;
}
i.fa {
    display: inline-block;
    border-radius: 60px;
    box-shadow: 0px 0px 2px #888;
    padding: 0.6em 0.6em;
}

::ng-deep .br-default .br-unit {
    margin-right: 0 !important;
    font-size: 1.2rem !important;
    height: 3vh;
    width: 2vh;
}

::ng-deep .br {
    margin-bottom: 2vh !important;
}

// @include for-size(phone-only) {
//     .deals-tile {
//         margin-bottom: 2vh;
//     }
// }

@include for-size(tablet-portrait-up) {
    .deals-tile .list-group-item {
        font-size: 13px;
    }
    .deals-tile .tile-price {
        font-size: 13px;
    }
    .deals-tile .tile-offerprice {
        font-size: 11px;
    }
}

.ribbon {
    position: absolute;
    right: -5px; top: -5px;
    z-index: 1;
    overflow: hidden;
    width: 75px; height: 75px;
    text-align: right;
  }
  .ribbon span {
    font-size: 10px;
    font-weight: bold;
    color: #FFF;
    text-transform: uppercase;
    text-align: center;
    line-height: 20px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    width: 100px;
    display: block;
    background: #FF5722;
    box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
    position: absolute;
    top: 19px; right: -21px;
  }
  .ribbon span::before {
    content: "";
    position: absolute; left: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid #D69702;
    border-right: 3px solid transparent;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D69702;
  }

  .ribbon span::after {
    content: "";
    position: absolute; right: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid transparent;
    border-right: 3px solid #D69702;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D69702;
  }

  .tile-icons-disable {
    i.fa {
    color: #d4d4d4;
    cursor: default;
}
}
@include for-size(phone-only){
    .mobile-hide{
        display: none;
    }
}
